%global modname oauthlib
Name:		python-oauthlib
Version:	3.1.1
Release:	3
Summary:	Python Framework for OAuth1 & OAuth2
License:	BSD
URL:		https://github.com/oauthlib/oauthlib
Source0:	https://github.com/oauthlib/oauthlib/archive/v%{version}.tar.gz

Patch6000:      backport-Add-check-of-performance-of-ipv6-check.patch
Patch6001:      backport-CVE-2022-36087.patch
	
BuildArch:      noarch

%description
AuthLib is a framework which implements the logic of OAuth1 or OAuth2 
without assuming a specific HTTP request object or web framework. Use 
it to graft OAuth client support onto your favorite HTTP library, or 
provide support onto your favourite web framework. If you're a 
maintainer of such a library, write a thin veneer on top of OAuthLib 
and get OAuth support for very little effort.

%package -n     python3-oauthlib
Summary:        Python3 package for oauthlib
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel python3-setuptools python3-mock
BuildRequires:  python3-blinker python3-jwt python3-cryptography
Requires:       python3-jwt python3-cryptography
	
%description -n python3-oauthlib
Python3 package for oauthlib

%prep
%autosetup -n oauthlib-%{version} -p1
sed -i "s/'unittest2', //" setup.py
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-oauthlib
%defattr(-,root,root)
%doc README.rst
%license LICENSE
%{python3_sitelib}/oauthlib/*
%{python3_sitelib}/oauthlib-%{version}*


%changelog
* Mon Sep 26 2022 zhuofeng<zhuofeng2@huawei.com> - 3.1.1-3
- Type:CVE
- CVE:CVE-2022-36087
- SUG:NA
- DESC:fix CVE-2022-36087

* Tue Mar 29 2022 wangjiang <wangjiang37@h-partners.com> - 3.1.1-2
- Provides python-oauthlib

* Fri Dec 17 2021 renhongxun <renhongxun@huawei.com> - 3.1.1-1
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: upgrade version to 3.1.1

* Tue Sep 8 2020 shixuantong <shixuantong@huawei.com> - 3.1.0-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Thu Aug 6 2020 wenzhanli<wenzhanli23@huawei.com> - 3.1.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Remove python2 require and Fix make test

* Thu Jul 23 2020 tianwei <tianwei12@huawei.com> - 3.1.0-1
- Package update to release 3.1.0

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.0.2-1
- Package init
